Eclipse Platform Release 3.7

## org.eclipse.jface.text.source
Interface IAnnotationMap

All Superinterfaces:
  ISynchronizable, Map

    public interface IAnnotationMap

extends Map, ISynchronizable

An annotation map is a map specialized for the requirements of an annotation model. The annotation map supports a customizable lock object which is used to synchronize concurrent operations on the map (see `ISynchronizable`. The map supports two iterator methods, one for the values and one for the keys of the map. The returned iterators are robust, i.e. they work on a copy of the values and keys set that is made at the point in time the iterator methods are called.

The returned collections of the methods `values`, `entrySet`, and `keySet` are not synchronized on the annotation map's lock object.

Since:
  3.0
See Also:
  `IAnnotationModel`

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Method Summary
`Set` `entrySet()` The returned set is not synchronized on this annotation map's lock object.
`Set` `keySet()` The returned set is not synchronized on this annotation map's lock object.
`Iterator` `keySetIterator()` Returns an iterator for a copy of this map's key set.
`Collection` `values()` The returned collection is not synchronized on this annotation map's lock object.
`Iterator` `valuesIterator()` Returns an iterator for a copy of this annotation map's values.

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, equals, get, hashCode, isEmpty, put, putAll, remove, size`

Methods inherited from interface org.eclipse.jface.text.ISynchronizable
`getLockObject, setLockObject`

Method Detail

### valuesIterator

    Iterator valuesIterator()

  Returns an iterator for a copy of this annotation map's values.

  Returns:
    an iterator for a copy of this map's values

### keySetIterator

    Iterator keySetIterator()

  Returns an iterator for a copy of this map's key set.

  Returns:
    an iterator for a copy of this map's key set

### entrySet

    Set entrySet()

  The returned set is not synchronized on this annotation map's lock object.

  Specified by:
    `entrySet` in interface `Map`

### keySet

    Set keySet()

  The returned set is not synchronized on this annotation map's lock object.

  Specified by:
    `keySet` in interface `Map`

### values

    Collection values()

  The returned collection is not synchronized on this annotation map's lock object.

  Specified by:
    `values` in interface `Map`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.